This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 905028 - Avoid reading devices we know to fail
Avoid reading devices we know to fail
Status: NEW
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 07:13 EST by Zdenek Kabelac
Modified: 2014-02-17 04:16 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-01-28 07:13:05 EST
Description of problem:

With lvm2 with have several cases, when we could skip reading/checking devices we may know we shouldn't read.

There are several scenarios were we are trying to i.e. check for metadata on devices, they are not readable or should not be scanned.

Here are 2 examples -

1st. activate thin pool device - scanning such volume has no use - since thin pool has no header - and thus it presents it self as a device with 'mixed' signatures - i.e. block zero could be from any thin volume which happend 
to allocate this block - as well as the block at the end of this device.

2nd. reading invalid snapshot results in error read.
(Bug 839811 comment 6)

Both cases depend on the scan order - but if we know metadata ahead of touching
this device - we may potentially have good chance to skip scanning them.



Version-Release number of selected component (if applicable):
lvm2-2.02.98-4.fc19.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 12:01:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Zdenek Kabelac 2013-10-22 04:47:09 EDT
This bug is getting to be more important since i.e. thin-pool might be in failed stated....

Note You need to log in before you can comment on or make changes to this bug.